# Add transactions to a transaction group

Endpoint: POST /surveyTransactions
Version: 3.0.0
Security: bearerAuth, apiKeyAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer Token

  - `apiKeyAuth` (unknown)
    apiKey in header Key

## Request fields (application/json):

  - `transactionGroupId` (string, required)
    Transaction group ID

  - `transactions` (array, required)
    Transactions to add

  - `transactions.serialVersionUID` (object)
    Unresolved type (staticfinallong)

  - `transactions.canEdit` (boolean)

  - `transactions.assetPermission` (object)

  - `transactions.assetPermission.shareConfigs` (array)

  - `transactions.assetPermission.shareConfigs.shareLevel` (string)

  - `transactions.assetPermission.shareConfigs.sharedWithIds` (array)

  - `transactions.assetPermission.shareConfigs.permissions` (array)

  - `transactions.assetPermission.shareConfigs.endDate` (integer)

  - `transactions.assetPermission.grants` (array)

  - `transactions.id` (string)

  - `transactions.userId` (string)

  - `transactions.profileName` (string)

  - `transactions.transactionGroupId` (string)

  - `transactions.distributionChannel` (string)

  - `transactions.transactionGroupType` (string)

  - `transactions.customProperties` (object)

  - `transactions.isArchived` (boolean)

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 401:

  - `401` (unknown)
    Missing or invalid authentication

## Response 401 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 403:

  - `403` (unknown)
    Insufficient permissions

## Response 403 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

